## libb64 1.2

=== Makefile ===
all: all_src all_base64

all_src:
	$(MAKE) -C src
all_base64: all_src
	$(MAKE) -C base64

clean: clean_src clean_base64 clean_include
	rm -f *~ *.bak

clean_include:
	rm -f include/b64/*~

clean_src:
	$(MAKE) -C src clean;
clean_base64:
	$(MAKE) -C base64 clean;
	
distclean: clean distclean_src distclean_base64

distclean_src:
	$(MAKE) -C src distclean;
distclean_base64:
	$(MAKE) -C base64 distclean;

=== debian/changelog ===
libb64 (1.2-4) unstable; urgency=medium

  * new maintainer (Closes: #706894)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10
  * debian/rules: add bindnow linker flag
  * add off-by-one.diff (Closes: #801584) (LP: #1501176)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 07 Sep 2017 18:16:02 +0200

libb64 (1.2-3) unstable; urgency=low

  * Upload to unstable.
  * Don't use dh_testdir; instead, use makefile rules to ensure that
    debian/rules can be only run in the correct directory.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 22:16:02 +0200

libb64 (1.2-2) experimental; urgency=low

  * Initialize encoder/decoder state in the constructors.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Jan 2013 15:08:40 +0100

libb64 (1.2-1) experimental; urgency=low

  * Initial release (closes: #694724).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 07 Dec 2012 12:59:19 +0100

=== debian/control ===
Source: libb64
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10),
 dpkg-dev (>= 1.16.0~),
 xutils-dev,
Standards-Version: 4.1.0
Homepage: http://libb64.sourceforge.net/

Package: libb64-0d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: base64 encoding/decoding library - runtime library
 libb64 is a library of ANSI C routines for fast encoding/decoding data into
 and from a base64-encoded format.
 .
 This package provides the runtime library.

Package: libb64-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libb64-0d (= ${binary:Version})
Description: base64 encoding/decoding library - development files
 libb64 is a library of ANSI C routines for fast encoding/decoding data into
 and from a base64-encoded format.
 .
 This package provides the static library and headers for C and C++.

=== debian/rules ===
#!/usr/bin/make -f

static_lib = libb64.a
shared_lib = libb64.so
soversion = 0d
soname = $(shared_lib).$(soversion)

libdir = /usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/

cflags = \
	 $(shell dpkg-buildflags --get CFLAGS) \
	 $(shell dpkg-buildflags --get CPPFLAGS)
ldflags = $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now

.PHONY: build build-indep build-arch
build build-arch: build-stamp

build-stamp: debian/control Makefile
	dh_testdir
	rm -rf src-shlib/
	cp -a src src-shlib/
	cd src-shlib/ && rm -f *.o *.a
	CFLAGS="$(cflags)" LDFLAGS="$(ldflags)" $(MAKE)
	CFLAGS="$(cflags) -fPIC" $(MAKE) -C src-shlib/
	cd src-shlib && $(CC) $(ldflags) -shared -Wl,-soname,$(soname) *.o -o $(soname)
	cd src-shlib && ln -sf $(soname) $(shared_lib)
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	debian/tests/libb64-dev --build-time
endif
	touch $(@)

.PHONY: binary binary-indep binary-arch
binary binary-arch: debian/control build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_install -p libb64-dev src/$(static_lib) $(libdir)
	dh_install -p libb64-dev src-shlib/$(shared_lib) $(libdir)
	dh_install -p libb64-dev include/* /usr/include/
	dh_install -p libb64-$(soversion) src-shlib/$(soname) $(libdir)
	dh_installdocs AUTHORS BENCHMARKS README
	dh_installchangelogs CHANGELOG
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs -- -c4
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean
clean: debian/control Makefile
	$(MAKE) clean
	rm -rf src-shlib/
	dh_clean */depend

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_version = $(firstword $(subst -, ,$(debian_version)))

.PHONY: get-orig-source
get-orig-source:
	sh $(here)/debian/get-orig-source.sh $(upstream_version)

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: libb64-dev
Depends: g++, libb64-dev

## libb64 1.2-5

=== debian/changelog ===
libb64 (1.2-5-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:20:55 +0800

libb64 (1.2-5) unstable; urgency=medium

  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa VCS URLs
  * debian/control: use dh11
  * Fix FTCBFS: (Closes: #894137)
    + Let dh_auto_build pass cross tools to make.
    + Let buildtools.mk supply $(CC).
    (thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 18:16:02 +0100
